For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList knowledge items
      • POSTCreate knowledge item
      • GETGet knowledge item
      • DELDelete knowledge item
      • POSTRe-ingest knowledge item
      • GETList agent's knowledge items
      • POSTAttach knowledge item to agent
      • DELDetach knowledge item from agent
Status
LogoLogo
API ReferenceAgent Knowledge Base

Get knowledge item

GET
https://app.resemble.ai/api/v2/knowledge_items/:uuid
GET
/api/v2/knowledge_items/:uuid
$curl https://app.resemble.ai/api/v2/knowledge_items/uuid \
> -H "Authorization: Bearer <token>"
1{
2 "success": true,
3 "item": {
4 "uuid": "string",
5 "title": "string",
6 "description": "string",
7 "source_type": "document",
8 "status": "pending",
9 "error_message": "string",
10 "chunk_count": 1,
11 "url": "string",
12 "document_url": "string",
13 "document_filename": "string",
14 "agents": [
15 {
16 "uuid": "string",
17 "name": "string"
18 }
19 ],
20 "created_at": "2024-01-15T09:30:00Z",
21 "updated_at": "2024-01-15T09:30:00Z"
22 }
23}
Retrieves a single knowledge item with detailed information including attached agents
Was this page helpful?
Previous

Delete knowledge item

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

uuidstringRequiredformat: "uuid"
The UUID of the knowledge item

Response

Knowledge item details
successboolean
itemobject

Errors

404
Not Found Error